Bug 205723 - Continue (-c) no longer resumes the download
Continue (-c) no longer resumes the download
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Karsten Hopp
: Patch, Regression
Depends On:
  Show dependency treegraph
Reported: 2006-09-08 04:35 EDT by Jan Kratochvil
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-25 11:35:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screen snapshot (2.51 KB, text/plain)
2006-09-08 04:35 EDT, Jan Kratochvil
no flags Details
svn diff -r 2180:2181 (1.89 KB, patch)
2006-09-23 13:00 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2006-09-08 04:35:56 EDT
Description of problem:
wget(1) will now always create new file as "file.1", "file.2" etc. and it will
never continue the download as before.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. wget -c
2. CTRL-C after some part downloaded - incomplete download.
3. wget -c

Actual results:
File "FC-development-i386-rescuecd.iso.1" gets created and the download starts
again from the start of the file.

Expected results:
File "FC-development-i386-rescuecd.iso" would be continued to be downloaded.

Additional info:
FC5 wget-1.10.2-3.2.1 worked fine.
Comment 1 Jan Kratochvil 2006-09-08 04:35:56 EDT
Created attachment 135830 [details]
Screen snapshot
Comment 2 Jan Kratochvil 2006-09-23 13:00:59 EDT
Created attachment 137004 [details]
svn diff -r 2180:2181

Maybe a more general updated to a recent snapshot would be appropriate.
Comment 3 Karsten Hopp 2006-09-25 11:35:20 EDT
well, I can't / won't update to a prerelease of wget-1.11, but I've added your
patch and tested it briefly. Seems to work now, thanks !
Comment 4 Jan Kratochvil 2006-09-25 13:07:07 EDT
What is "wget-1.10.2-to11.patch" else than a prerelease of wget-1.11?
This bug was caused by this snapshot update patch.
Anyway thanks for fixing it.

Note You need to log in before you can comment on or make changes to this bug.